Incidencia #864

タイル版がWin9xで文字化けする
Abrir Fecha: 2002-12-08 15:18 Última actualización: 2002-12-20 00:15

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
(Ninguno)
Hito:
(Ninguno)
Prioridad:
7
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
2

Details

Windows95, Windows98, Windows98SE等で、
タイル版JNetHackが文字化けしている部分がありますが、
そのうちステータス欄、アイテムなどの一覧、死亡時の墓表示
の3点において、文字化けをなくすパッチです。

・・・とは言え、文字化けしていなかったメッセージ欄を
表示するソースmhmsgwnd.cにて
#if 0 /*JP*/ ~ #endifで囲ってあったのと同じ処理を
mhstatus.c, mhmenu.c, mhrip.cにて施しただけで、
判ってやったモノでないところが怖いところですが・・・

なお、キャラ生成時やヘルプの表示、ゲームオーバー時などに
使用されている灰色の画面にテキスト表示を行うmhtext.c
については、同様の処置を施すことが出来なかったため、
まだ文字化けしたままです。

また、チェックしたのはWindows98SE上でのみなので、
Windows2000等などの上で正常に動作するかは判りません。

Ticket History (3/7 Histories)

2002-12-08 15:18 Updated by: so-miya
  • File 209: win32.diff.gz is attached
2002-12-12 13:51 Updated by: argrath
  • Resolución Update from Ninguno to Works For Me
  • Summary Updated
  • Prioridad Update from 5 - Medium to 7
Comentario
Logged In: YES
user_id=1120

どうもありがとうございます。
さっそくWin2000で試してみましたが、残念ながらステータスウィ
ンドウの
フォントサイズが変わらないのではみだしてしまうようです。
ちょっとこのままではつらいので、保留にします。

ついでに(?)Bug扱いにして種別移動しました。
2002-12-13 04:52 Updated by: argrath
  • Propietario Update from (Ninguno) to argrath
Comentario
Logged In: YES
user_id=1120

ちょっと調べてみました。
win/win32/mhfont.c にある "OEM_CHARSET" をすべて (5箇所だと
思います)
"SHIFTJIS_CHARSET" に変更するとどうなるでしょうか?
手元にWin95系がないので実験できる方お願いします。
2002-12-13 11:41 Updated by: rltm
Comentario
Logged In: YES
user_id=3340

>"SHIFTJIS_CHARSET" に変更するとどうなるでしょうか?
WinMe + VC++6 で試してみました。
文字化けは解消されましたがステータスウインドウが
はみ出ています。

2002-12-13 15:56 Updated by: argrath
  • Resolución Update from Works For Me to Accepted
Comentario
Logged In: YES
user_id=1120

その後の調整でうまくいくことがわかりましたので、
これでパッチを作ることにします。
2002-12-13 16:35 Updated by: argrath
  • File 221: mhfont.c.diff is attached
  • Resolución Update from Accepted to Fixed
Comentario
Logged In: YES
user_id=1120

登録しました。
2002-12-20 00:15 Updated by: argrath
  • Ticket Close date is changed to 2002-12-20 00:15
  • Estado Update from Open to Cerrado
Comentario
Logged In: YES
user_id=1120

修正版(3.4.0-0.9)がリリースされたので閉じます。

Attachment File List

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar